.header {
  @include flexBox(row, null, center, null);
  gap: 40px;
  position: relative;

  &__logo {
    padding-left: 60px;
  }

  &__menu {
    @include font-bold(18px, null, null);
    flex: 1;
    position: unset;
    transition: max-height 0.5s ease;
    &-items {
      @include flexBox(row, flex-end, null, null);
      gap: 40px;
      position: unset;
      .header__menu-link {
        color: $body;
        white-space: nowrap;
      }
    }

    &-item {
      &:hover a {
        color: $orange-0;
      }
      &.sub {
        .submenu {
          position: absolute;
          width: 100%;
          // height: 0;
          max-height: 0;
          top: 121px;
          left: 0;
          background: #363636;
          color: #fff;
          z-index: 99;
          // padding: 10px 0 30px 0;
          transition: all 0.3s ease-in-out;
          z-index: 101;
          // visibility: hidden;
          opacity: 0.9;
          transition: max-height 0.5s ease;
          overflow: hidden;
        }
        .sub-items {
          @include flexWrap;
          justify-content: space-between;
          column-gap: 60px;
          padding: 0 40px;
          margin-bottom: 30px;
        }

        .sub-item {
          position: relative;
          width: calc(50% - 30px);
          padding-bottom: 20px;
          padding-top: 30px;
          border-bottom: 2px solid #fff;
          &:hover {
            cursor: pointer;
            &::after {
              background-image: url(../images/icon-right-orangr.png);
            }
            .sub-item-link {
              color: $orange-0;
            }
          }
          &.first {
            width: 100%;
          }
          &::after {
            width: 11px;
            height: 17px;
            display: inline-block;
            position: absolute;
            content: "";
            right: 0;
            background-image: url(../images/icon-right.png);
            background-repeat: no-repeat;
            background-size: 11px 17px;
            background-position: center;
            transition: all 0.2s ease;
          }
          .sub-item-link {
            @include font-bold(16px, 1.5, #fff);
          }
        }
      }
      &.open {
        .submenu {
          // height: auto;
          // visibility: visible;
          opacity: 0.9;
          padding: 10px 0 30px 0;
        }
        .header__menu-link {
          color: $orange-0;
        }
      }
      .sub-action {
        @include flexCenter;
        .btn-close {
          @include font-bold(16px, 1.5, #fff);
          display: inline-block;
          padding-right: 30px;
          background-image: url(../images/close-menu.png);
          background-position: right;
          background-repeat: no-repeat;
          background-size: 16px;
        }
      }
    }
    .sub-action-mobie {
      display: none;
      @include flexCenter;
      .btn-close {
        @include font-bold(16px, 1.5, #fff);
        display: inline-block;
        padding-right: 30px;
        background-image: url(../images/close-menu.png);
        background-position: right;
        background-repeat: no-repeat;
        background-size: 16px;
      }
    }
  }

  &__contact {
    color: #fff;
    .mail {
      @include flexCenter();
      background-color: #f0901b;
      min-height: 60px;
      padding-left: 39px;
      padding-right: 38px;
      gap: 15px;
      &__text {
        @include font-bold(18px, 1.5, null);
        white-space: nowrap;
      }

      .flex-left {
        @include flexCenter;
        flex-direction: column;
      }

      .flex-right {
        display: inherit;
      }
    }

    .phone {
      @include flexCenter();
      background-color: #454545;
      align-items: flex-end;
      padding-bottom: 10px;
      min-height: 60px;
      gap: 15px;
      .phone__text {
        @include font-regular(14px, 1.5, null);
        padding-left: 8px;
      }
      .phone-number {
        @include font-bold(20px, 1.5, null);
      }
    }
  }

  &__togger-menu {
    display: none;
  }
}

section {
  padding-right: 20px;
  padding-left: 20px;
  &.banner {
    overflow: hidden;
    padding-top: 100px;
    padding-bottom: 80px;
    background-color: #f1eeeb;
    position: relative;
    .banner__push-image-text {
      position: relative;
    }
    .banner__push-image-image {
      position: absolute;
      right: -130px;
      top: -15px;
    }

    .title {
      @include flexBox(column, null, null, null);
      margin-bottom: 40px;
      h2 {
        margin-bottom: 0;
        margin-bottom: 20px;
      }

      span {
        color: #f0901c;
        font-size: 60px;
      }
    }

    .descreptions p {
      @include font-bold(24px, 1.5, $body);
    }

    .contact-mail {
      position: fixed;
      top: 540px;
      right: 0;
      z-index: 999;
      transform: translateY(-50%);
      top: 50%;

      .wrapper {
        background: #88ba1e;
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        padding: 20px 14px;
        border-top-left-radius: 5px;
        border-bottom-left-radius: 5px;
      }
      .detail-mobie {
        display: none;
        line-height: 27px;
        font-size: 18px;
        font-weight: 700;
        color: #fff;
      }

      .detait-desktop {
        line-height: 1;
        font-size: 18px;
        font-weight: 700;
        color: #fff;
      }
    }
  }

  &.banner__bottom {
    background: #fff;

    .banner__bottom-group {
      @include container();
      padding: 50px 0 40px 0;
      gap: 90px;

      .banner__bottom-left {
        text-align: center;

        h2.title {
          color: $txt-color;
          margin-bottom: 0;
          white-space: nowrap;
        }

        .detail {
          color: $orange-0;
          font-family: $font-poppins;
        }
      }

      .banner__bottom-right {
        .content {
          display: flex;
          margin-bottom: 30px;
          &:last-child {
            margin-bottom: 0;
          }
        }
        span {
          @include font-regular(16px, 1, $body);
        }
        .text-bold {
          @include font-bold(16px, 1, $body);
          margin-right: 20px;
          white-space: nowrap;
        }
      }
    }
  }
  &.software {
    background-color: $primary-color;
    padding-top: 90px;
    padding-bottom: 90px;
    text-align: center;

    img {
      margin: 0 auto;
    }

    .title {
      color: #fff;
      margin-bottom: 0;
    }

    h4.poppins {
      color: #fff;
      margin-bottom: 50px;
    }

    .description {
      margin-bottom: 60px;

      .underline {
        font-size: 36px;
      }
    }

    .supply-solution {
      margin-bottom: 60px;

      .field-image {
        margin-bottom: 70px;
      }
    }

    .services {
      padding: 40px;
      background-color: #fff;
      border-radius: 8px;
      margin-bottom: 60px;

      .highlight {
        @include font-bold(24px, 1.75, null);
        margin-bottom: 40px;
      }

      .field__items {
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        gap: 10px;
        margin-bottom: 40px;

        .field__item {
          border-radius: 8px;
          padding: 30px;
          position: relative;
          z-index: 1;

          &:after {
            content: "";
            position: absolute;
            bottom: 0;
            right: 0;
            border-bottom: 100px solid transparent;
            border-left: 100px solid transparent;
            z-index: -1;
            border-bottom-right-radius: 8px;
          }

          .icon {
            display: block;
            height: 85px;
            background-repeat: no-repeat;
            background-size: contain;
            margin-bottom: 15px;
          }

          .field-body {
            p {
              @include font-semi-bold(24px, 42px, #fff);
            }
          }

          &.electric {
            background-color: $color-electric;

            &:after {
              border-bottom-color: #e5c200;
            }

            .icon {
              background-image: url("../images/electric-shop.svg");
            }
          }

          &.plumber {
            background-color: $color-plumber;

            &:after {
              border-bottom-color: #3fbfea;
            }

            .icon {
              background-image: url("../images/plumber.svg");
            }
          }

          &.gas {
            background-color: $color-gas;

            &:after {
              border-bottom-color: #ec6262;
            }

            .icon {
              background-image: url("../images/gas.svg");
            }
          }

          &.air-condition {
            background-color: $color-air;

            &:after {
              border-bottom-color: #8dd857;
            }

            .icon {
              background-image: url("../images/air-condition.svg");
            }
          }

          &.bidding-related {
            background-color: $color-hammer;

            &:after {
              border-bottom-color: #494742;
            }

            .icon {
              background-image: url("../images/hammer.svg");
            }
          }
        }
      }
    }
    .banner-software {
      background-image: url(../images/mini-banner-software.png);
      background-repeat: no-repeat;
      background-size: 641px 141px;
      background-position: center;
      width: 641px;
      height: 141px;
      margin: 0 auto;
      img {
        display: none;
      }
    }
  }

  &.support {
    padding: 0;

    .wrapper-container {
      position: relative;
      overflow: hidden;
      min-height: 686px;
      padding: 0 20px;
    }

    .media-extended-inner {
      position: absolute;
      inset: 0;
      height: 100%;

      .desktop {
        height: 100%;
      }

      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }

    .container {
      margin-top: 100px;
      margin-bottom: 100px;
    }

    .content {
      position: relative;

      h2 {
        margin-bottom: 0;
      }

      h4 {
        color: $orange-0;
      }
    }

    .wrapper-content {
      margin: 55px 0;

      p {
        @include font-semi-bold(20px, 42px, null);
        margin-bottom: 20px;

        &.gray {
          font-size: 16px;
          font-weight: 400;
          margin-bottom: 0;
        }
      }
    }
  }

  &.column {
    padding: 100px 40px;
    .title-header {
      text-align: center;
      margin-bottom: 75px;

      h4 {
        color: $orange-0;
      }
    }

    .field__items--track {
      overflow: hidden;
      position: relative;
      z-index: 0;
    }

    .field-image {
      border-top-right-radius: 8px;
      border-top-left-radius: 8px;

      img {
        width: 100%;
        border-top-right-radius: 8px;
        border-top-left-radius: 8px;
        margin: 0 auto;
      }
    }
    .field__items {
      position: relative;
    }

    .splide__list {
      display: flex;
      transition: transform 0.5s ease-in-out;
      backface-visibility: hidden;
      height: 100%;
      margin: 0;
      .splide__slide {
        border: 1px solid #ddd;
        border-radius: 8px;
        transition: opacity 0.5s ease-in-out;
        flex-shrink: 0;
      }

      .field-content {
        padding: 20px 25px 25px;

        .tag {
          display: inline-block;
          padding: 5px;
          @include font-bold(14px, 24px, $orange-0);
          background-color: $orange-3;
          margin-bottom: 15px;
        }

        .field-body {
          margin-bottom: 20px;

          p {
            font-weight: 700;
            line-height: 24px;
          }
        }

        .read-more {
          text-align: right;

          a {
            @include font-bold(16px, 28px, $txt-color);

            &:after {
              content: "";
              width: 12px;
              height: 18px;
              display: inline-block;
              vertical-align: middle;
              background-image: url(../images/icon-right-hover.svg);
              background-repeat: no-repeat;
              background-size: contain;
              background-position: center;
              margin-top: -2px;
              margin-left: 12px;
            }
          }
        }
      }
    }
    .splide__arrows,
    .arrows {
      display: flex;
      align-items: center;
      justify-content: space-between;
      @include centerPosition(mid);
      max-width: 1080px;
      width: 100%;
      .arrow {
        position: relative;
        width: 40px;
        height: 40px;
        background-color: $orange-0;
        border-radius: 50%;
        background-position: center;
        background-repeat: no-repeat;
        border: 0;
        svg {
          display: none;
        }
        &.arrow-left {
          left: -50px;
          background-image: url("../images/arrow-left.svg");
        }

        &.arrow-right {
          right: -50px;
          background-image: url("../images/arrow-right.svg");
        }
      }
    }

    .dots {
      margin-bottom: 75px;
      margin-top: 60px;
    }

    .dots-list {
      display: flex;
      align-items: center;
      gap: 10px;
      justify-content: center;
      position: unset;
      inset: unset;
      li {
        display: inline-block;
        line-height: 1;
        list-style-type: none;
        margin: 0;
        pointer-events: auto;
      }

      button,
      .dot-item {
        width: 15px;
        height: 15px;
        background-color: #ddd;
        border-radius: 50%;
        border: 0;
        &.is-active {
          background-color: $orange-0;
        }
      }
    }

    .wrapper-button {
      text-align: center;
    }
  }

  &.voice {
    background-color: $voice;
    padding: 100px 20px;

    .wrapper-header {
      margin-bottom: 75px;
      text-align: center;

      h4.poppins {
        color: $orange-0;
      }
    }

    .field__items {
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      gap: 40px;
      margin-bottom: 80px;

      .field__item {
        background-color: #fff;
        padding: 20px;
        border-radius: 10px;
        position: relative;

        &:nth-child(even) {
          margin-top: 30px;

          &:before {
            top: -30px;
            border-bottom: 30px solid #fff;
          }
        }

        &:nth-child(odd) {
          margin-bottom: 30px;

          &:before {
            bottom: -30px;
            border-top: 30px solid #fff;
          }
        }

        &:before {
          @include centerPosition(left);

          content: "";
          display: inline-block;
          width: 0;
          height: 0;
          border-top: 0 solid #000;
          border-left: 15px solid transparent;
          border-right: 15px solid transparent;
          border-bottom: 0 solid #fff;
        }
      }
    }

    .field-title {
      @include font-bold(16px, 28px, $orange-0);
      margin-bottom: 20px;
    }

    .field-body {
      margin-bottom: 20px;

      p {
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 11;
        overflow: hidden;
        text-overflow: ellipsis;
        line-height: 24px;
      }
    }

    .wrapper-button {
      text-align: center;
    }

    .read-more {
      text-align: right;

      a {
        @include font-bold(16px, 28px, $txt-color);

        &:after {
          content: "";
          width: 12px;
          height: 18px;
          display: inline-block;
          vertical-align: middle;
          background-image: url(../images/icon-right-hover.svg);
          background-repeat: no-repeat;
          background-size: contain;
          background-position: center;
          margin-top: -2px;
          margin-left: 12px;
        }
      }
    }
  }

  &.faq {
    padding-top: 100px;
    padding-bottom: 100px;
    background-color: #fff;
    .title {
      margin-bottom: 10px;
      color: $txt-color;
      text-align: center;
    }
    .faq__title {
      text-align: center;
      color: $orange-0;
      font-size: 20px;
      margin-bottom: 61px;
    }

    .faq__items {
      @include flexBox(column, null, null, null);
      gap: 60px;
      .title {
        margin: 0;
        text-align: left;
        padding-bottom: 30px;
        border-bottom: 4px solid #ddd;
        p {
          border-left: 8px solid $orange-0;
          padding-left: 15px;
        }
        span {
          padding: 8px 0;
        }
      }
    }

    .accordion {
      .highlight {
        font-family: $font-poppins;
        font-weight: 600;
        font-size: 34px;
        color: $orange-0;
      }
      p {
        display: inline;
        flex: 1;
      }
      .accordion__item {
        border-bottom: 2px solid #ddd;
      }

      .accordion__header {
        align-items: center;
        display: flex;
        gap: 20px;
        @include font-bold(20px, null, $txt-color);
        position: relative;
        cursor: pointer;
        padding: 30px 40px;
        &::after {
          display: inline-block;
          width: 30px;
          height: 30px;
          content: "";
          background-image: url(../images/icon-2.png);
          background-repeat: no-repeat;
          background-position: center;
          position: absolute;
          top: 50%;
          right: 40px;
          transform: translateY(-50%);
        }
      }

      .accordion__content {
        // display: none;
        transition: max-height 0.5s ease; /* Add transition property */
        overflow: hidden;
        max-height: 0;
      }

      .accordion__contentinner {
        @include font-regular(16px, 32px, $txt-color);
        padding: 30px 40px;
      }

      .active {
        .accordion__header {
          background-color: #fdeedd;
          &::after {
            background-image: url(../images/icon-1.png);
          }
        }
        .accordion__content {
          display: block;
        }
      }
    }

    .faq__action {
      display: flex;
      justify-content: center;
      margin-top: 80px;
      .btn-next {
        @include font-bold(20px, 42px, #fff);
        padding: 25px 30px;
        text-align: center;
        background-color: $orange-0;
        border: 1px solid $orange-0;
        min-width: 425px;
        border-radius: 50px;
        position: relative;
        &::before {
          display: inline-block;
          position: absolute;
          content: "";
          width: 18px;
          height: 30px;
          top: 50%;
          right: 32px;
          transform: translateY(-50%);
          background-image: url(../images/icon-right.png);
          background-repeat: no-repeat;
          background-position: center;
          background-size: 18px 30px;
        }
        &:hover {
          background-color: #fff;
          color: $orange-0;
          &::before {
            background-image: url(../images/icon-right-orangr.png);
          }
        }
      }
    }
  }

  &.cd {
    background-color: #454545;
    color: #fff;
    .cd__content {
      gap: 30px;
    }
    .cd__text {
      padding: 21px 0;
      position: relative;
      padding-right: 140px;
    }

    .cd__image {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      right: 0;
    }
    .descretion {
      @include flexCenter;
      gap: 8px;
      margin-bottom: 20px;
      @include font-bold(24px, null, null);
    }

    .next-cd {
      display: flex;
      justify-content: center;
      gap: 35px;
    }
  }

  &.company {
    padding-top: 100px;
    padding-bottom: 100px;
    background: #fff;
    .title {
      margin-bottom: 10px;
      color: $txt-color;
      text-align: center;
    }
    .company__title {
      text-align: center;
      color: $orange-0;
      font-size: 20px;
      margin-bottom: 61px;
    }
    .company__content {
      justify-content: space-between;
      align-items: flex-start;
    }
    .info {
      @include flexBox(column, null, null, null);
      gap: 40px;
      .title {
        margin-bottom: 32px;
        font-weight: 700;
        text-align: left;
        margin-bottom: 10px;
        font-size: 20px;
        line-height: 35px;
      }
      p {
        color: $txt-color;
        font-size: 16px;
        line-height: 28px;
      }
    }
  }
}

.footer {
  position: relative;
  background-color: #eaeaea;
  .flexGroup {
    justify-content: space-between;
  }
  &__top {
    padding-top: 80px;
    padding-bottom: 80px;
    position: relative;
  }
  &__menu {
    flex: 1;
    &-items {
      @include flexBox(row, flex-end, null, null);
      gap: 40px;
      a {
        color: $body;
        @include font-bold(18px, null, null);
      }
    }
  }
  &__menu-bottom {
    padding-top: 40px;
    .footer__menu-items {
      justify-content: flex-start;
    }
  }
  &__copyright {
    @include font-regular(14px, 1.2, #fff);
    font-family: $font-poppins;
    background: #454545;
    text-align: center;
    padding: 20px 0;
  }
  .back-to-top {
    background-image: url(../images/back-to-top.png);
    background-repeat: no-repeat;
    background-size: 60px;
    width: 60px;
    height: 60px;
    position: absolute;
    right: 0;
    top: -30px;
  }
}
